// Match div heights in some instances
var winWidth = $(window).width();

var fixTierHeights = function () {

  $('.support .option .img-wrap').matchHeight();
  $('.support .option .option-label').matchHeight();
  $('.promo-card-element').matchHeight();

  if (winWidth >= 480){
    $('.promo-tier .tier-description').matchHeight();
    $('.promo-tier .card-bottom').matchHeight();
    $('.tier-tagline').matchHeight();
    $('.features-initial').matchHeight();
    $('.tier1 .features-expanded, .tier2 .features-expanded').matchHeight();
    $('.tier3 .features-expanded, .tier4 .features-expanded').matchHeight();
  }

  if ((winWidth >= 480) && (winWidth <= 768)) {
    $('.open-source-tablet').matchHeight();
  }

  if (winWidth >= 768) {
    $('.about-hero .half').matchHeight();
    $('.promo-tier-components').matchHeight();
    $('.tier1 .features-expanded, .tier2 .features-expanded').matchHeight({ remove : true });
    $('.tier3 .features-expanded, .tier4 .features-expanded').matchHeight({ remove : true });
    $('.features-expanded').matchHeight();
  }
};

$(window).load(fixTierHeights);
$(window).resize(fixTierHeights);